Learn From The PDF Experts How to Make Your Documents Accessible

Join our weekly webinars that explore leading tools and approaches for managing PDF and Section 508 or WCAG 2.0 AA accessibility at the author, quality assurance, and enterprise levels.

Sign Up to Attend One of Our Webinars: Meeting Accessibility Standards In Canada or Accessibility Simplified

 

 

training-line

 Date Nov. 30, 2017 Meeting Accessibility Standards in Canada

Time: 12:30pm – 1:30pm ET

Description: Join us for a free, 1-hour, webinar where CommonLook will show you a simple, efficient way for Canadian organizations to meet legislated accessibility standards.

btn-register[1].png

training-line

Date:Nov 30, 2017 Accessibility Simplified

Time: 2:00pm – 3:00pm EDT

Description: Our favorite webinar series has had a refresh! Please join us at Accessibility Simplified, our weekly webinar, for a demonstration of our proven three-tiered approach to document accessibility.

btn-register[1].png

training-line

 

Date Dec 14, 2017 Meeting Accessibility Standards in Canada

Time: 12:30pm – 1:30pm ET

Description: Join us for a free, 1-hour, webinar where CommonLook will show you a simple, efficient way for Canadian organizations to meet legislated accessibility standards.

btn-register[1].png

training-line

Date Dec 14, 2017 Accessibility Simplified

Time: 2:00pm – 3:00pm EDT

Description: Our favorite webinar series has had a refresh! Please join us at Accessibility Simplified, our weekly webinar, for a demonstration of our proven three-tiered approach to document accessibility.

btn-register[1].png

training-line

Date Dec 21, 2017 Accessibility Simplified

Time: 2:00pm – 3:00pm EDT

Description: Our favorite webinar series has had a refresh! Please join us at Accessibility Simplified, our weekly webinar, for a demonstration of our proven three-tiered approach to document accessibility.

btn-register[1].png

 Systems Requirements

Windows PC – required: Windows® 2000, XP Home, XP Pro, 2003 Server, Vista, Windows 7

Macintosh – required: Mac OS® X 10.3.9 (Panther®) or newer